# mcrypt_module_is_block_algorithm

(PHP 4 >= 4.0.2, PHP 5, PHP 7 < 7.2.0, PECL mcrypt >= 1.0.0)

mcrypt_module_is_block_algorithm — This function checks whether the specified algorithm is a block algorithm

Warning

This function has been DEPRECATED as of PHP 7.1.0. Relying on this function is highly discouraged.

### Description

mcrypt_module_is_block_algorithm ( string `$algorithm` [, string `$lib_dir` ] ) : bool

This function returns `TRUE` if the specified algorithm is a block algorithm, or `FALSE` if it is a stream one.

### Parameters

`algorithm`

  The algorithm to check.

`lib_dir`

  The optional `lib_dir` parameter can contain the location where the algorithm module is on the system.

### Return Values

This function returns `TRUE` if the specified algorithm is a block algorithm, or `FALSE` if it is a stream one.